Last Comment Bug 555528 - Flag FatPlug code in the validator and make it clear it's not allowed
: Flag FatPlug code in the validator and make it clear it's not allowed
Status: RESOLVED FIXED
[ReviewTeam]
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Policy (show other bugs)
: unspecified
: All All
: P2 normal
: 5.9
Assigned To: Jorge Villalobos [:jorgev]
:
Mentors:
http://fatplug.com/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-28 03:13 PDT by Johannes Buchner
Modified: 2016-02-04 14:51 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch V1. Added check for fatplug_bootstrap function (713 bytes, patch)
2010-04-05 17:37 PDT, Jorge Villalobos [:jorgev]
wclouser: review+
Details | Diff | Review

Description Johannes Buchner 2010-03-28 03:13:33 PDT
I received a unsolicited email from the author of http://fatplug.com/, inviting me to include the "ad swapping" into an add-on of mine.

I assume that many other addon writers received such an email, and some will follow the money. As such, addon reviewers, expect to see the include lines of fatplug, and think about whether such activity is allowed (The relevant question is: Does the end-user want it?). 

I would welcome a discussion/position/policy.
Comment 1 Johannes Buchner 2010-03-28 03:14:51 PDT
https://addons.mozilla.org/en-US/firefox/addon/10830
"Really enjoy this addon, but noticed the license agreement in the new v0.6 states the addon will replace adverts displayed in other webpages - does anyone have any more detail of what this means? Is the addon tracking my browsing?

Rated 4 out of 5 stars by oktup on March 27, 2010 "

As long as the license agreement mentions it, it is ok?
Comment 2 Jorge Villalobos [:jorgev] 2010-03-29 14:05:19 PDT
We're looking into this. In the mean time, all add-on versions implementing this feature will remain in the sandbox.
Comment 3 Jorge Villalobos [:jorgev] 2010-03-29 14:06:32 PDT
Adding amo-editors flag. Sorry for the spam.
Comment 4 Josh Carr 2010-03-30 08:56:51 PDT
@jorge this is Josh Carr from fatplug.com. I just sent you an email with more detail but we would love to be included in this discussion.

Please let me know if you have any questions and what your concerns are. I apologize for the spam we had a team member who got excited and was trying to be helpful. About 50 messages went out before we realized it and had her stop.
Comment 5 Jorge Villalobos [:jorgev] 2010-03-30 13:06:26 PDT
We have reached a decision and FatPlug will not be allowed. All add-ons or
add-on versions including FatPlug will be disabled.
Comment 6 Jorge Villalobos [:jorgev] 2010-03-30 13:34:59 PDT
Changes in the policy page will be included in bug 547306.
Comment 7 Jorge Villalobos [:jorgev] 2010-04-05 17:37:55 PDT
Created attachment 437177 [details] [diff] [review]
Patch V1. Added check for fatplug_bootstrap function

Trivial patch.
Comment 8 Jorge Villalobos [:jorgev] 2010-04-06 11:45:19 PDT
Fixed, r65370.
Comment 9 Jorge Villalobos [:jorgev] 2012-02-10 10:30:07 PST
Reclassifying editor bugs and changing to a new whiteboard flag. Spam, spam, spam, spam...

Note You need to log in before you can comment on or make changes to this bug.